--- tqt/secqlineedit.cpp.orig
+++ tqt/secqlineedit.cpp
@@ -86,7 +86,7 @@
 #include "ntqaccessible.h"
 #endif
 
-#ifndef QT_NO_ACCEL
+#ifndef TQT_NO_ACCEL
 #include "ntqkeysequence.h"
 #define ACCEL_KEY(k) "\t" + TQString(TQKeySequence( TQt::CTRL | TQt::Key_ ## k ))
 #else
@@ -130,7 +130,7 @@ struct SecTQLineEditPrivate : public TQt
     int menuId;
     int hscroll;
 
-    void finishChange( int validateFromState = -1, bool setModified = TRUE );
+    void finishChange( int validateFromState = -1, bool setModified = true );
 
     void setCursorVisible( bool visible );
 
@@ -152,10 +152,10 @@ struct SecTQLineEditPrivate : public TQt
 #endif /* SECURE_NO_UNDO */
 
     void insert( const SecTQString& s );
-    void del( bool wasBackspace = FALSE );
+    void del( bool wasBackspace = false );
     void remove( int pos );
 
-    inline void separate() { separator = TRUE; }
+    inline void separate() { separator = true; }
 #ifndef SECURE_NO_UNDO
     inline void undo( int until = -1 ) {
 	if ( !isUndoAvailable() )
@@ -189,7 +189,7 @@ struct SecTQLineEditPrivate : public TQt
 	    }
 	}
 	modified = ( undoState != 0 );
-	textDirty = TRUE;
+	textDirty = true;
     }
     inline void redo() {
 	if ( !isRedoAvailable() )
@@ -219,7 +219,7 @@ struct SecTQLineEditPrivate : public TQt
 		    break;
 	    }
 	}
-	textDirty = TRUE;
+	textDirty = true;
     }
 #endif  /* SECURE_NO_UNDO */
     inline bool isUndoAvailable() const { return !readOnly && undoState; }
@@ -235,11 +235,11 @@ struct SecTQLineEditPrivate : public TQt
     inline bool hasSelectedText() const { return !text.isEmpty() && selend > selstart; }
     inline void deselect() { selDirty |= (selend > selstart); selstart = selend = 0; }
     void removeSelectedText();
-#ifndef QT_NO_CLIPBOARD
-    void copy( bool clipboard = TRUE ) const;
+#ifndef TQT_NO_CLIPBOARD
+    void copy( bool clipboard = true ) const;
 #endif
     inline bool inSelection( int x ) const
-    { if ( selstart >= selend ) return FALSE;
+    { if ( selstart >= selend ) return false;
     int pos = xToPos( x, TQTextItem::OnCharacters );  return pos >= selstart && pos < selend; }
 
     // input methods
@@ -248,7 +248,7 @@ struct SecTQLineEditPrivate : public TQt
     // complex text layout
     TQTextLayout textLayout;
     void updateTextLayout();
-    void moveCursor( int pos, bool mark = FALSE );
+    void moveCursor( int pos, bool mark = false );
     void setText( const SecTQString& txt );
     int xToPos( int x, TQTextItem::CursorPosition = TQTextItem::BetweenCharacters ) const;
     inline int visualAlignment() const { return alignment ? alignment : int( isRightToLeft() ? AlignRight : AlignLeft ); }
@@ -293,7 +293,7 @@ struct SecTQLineEditPrivate : public TQt
 
     By default, SecTQLineEdits have a frame as specified by the Windows
     and Motif style guides; you can turn it off by calling
-    setFrame(FALSE).
+    setFrame(false).
 
     The default key bindings are described below.
     \target desc
@@ -411,7 +411,7 @@ SecTQLineEdit::~SecTQLineEdit()
 
     Setting this property clears the selection, clears the undo/redo
     history, moves the cursor to the end of the line and resets the
-    \c modified property to FALSE.
+    \c modified property to false.
 
     The text is truncated to maxLength() length.
 
@@ -426,8 +426,8 @@ void SecTQLineEdit::setText( const SecTQString& text)
 {
     resetInputContext();
     d->setText( text );
-    d->modified = FALSE;
-    d->finishChange( -1, FALSE );
+    d->modified = false;
+    d->finishChange( -1, false );
 }
 
 
@@ -644,9 +644,9 @@ void SecTQLineEdit::setAlignment( int flag )
 */
 
 /*!
-    Moves the cursor forward \a steps characters. If \a mark is TRUE
+    Moves the cursor forward \a steps characters. If \a mark is true
     each character moved over is added to the selection; if \a mark is
-    FALSE the selection is cleared.
+    false the selection is cleared.
 
     \sa cursorBackward()
 */
@@ -666,9 +666,9 @@ void SecTQLineEdit::cursorForward( bool mark, int step
 
 
 /*!
-    Moves the cursor back \a steps characters. If \a mark is TRUE each
+    Moves the cursor back \a steps characters. If \a mark is true each
     character moved over is added to the selection; if \a mark is
-    FALSE the selection is cleared.
+    false the selection is cleared.
 
     \sa cursorForward()
 */
@@ -678,7 +678,7 @@ void SecTQLineEdit::cursorBackward( bool mark, int ste
 }
 
 /*!
-    Moves the cursor one word forward. If \a mark is TRUE, the word is
+    Moves the cursor one word forward. If \a mark is true, the word is
     also selected.
 
     \sa cursorWordBackward()
@@ -689,7 +689,7 @@ void SecTQLineEdit::cursorWordForward( bool mark )
 }
 
 /*!
-    Moves the cursor one word backward. If \a mark is TRUE, the word
+    Moves the cursor one word backward. If \a mark is true, the word
     is also selected.
 
     \sa cursorWordForward()
@@ -716,7 +716,7 @@ void SecTQLineEdit::backspace()
 	d->removeSelectedText();
     } else if ( d->cursor ) {
 	    --d->cursor;
-	    d->del( TRUE );
+	    d->del( true );
     }
     d->finishChange( priorState );
 
@@ -746,7 +746,7 @@ void SecTQLineEdit::del()
 
 /*!
     Moves the text cursor to the beginning of the line unless it is
-    already there. If \a mark is TRUE, text is selected towards the
+    already there. If \a mark is true, text is selected towards the
     first position; otherwise, any selected text is unselected if the
     cursor is moved.
 
@@ -760,7 +760,7 @@ void SecTQLineEdit::home( bool mark )
 
 /*!
     Moves the text cursor to the end of the line unless it is already
-    there. If \a mark is TRUE, text is selected towards the last
+    there. If \a mark is true, text is selected towards the last
     position; otherwise, any selected text is unselected if the cursor
     is moved.
 
@@ -778,18 +778,18 @@ void SecTQLineEdit::end( bool mark )
     \brief whether the line edit's contents has been modified by the user
 
     The modified flag is never read by SecTQLineEdit; it has a default value
-    of FALSE and is changed to TRUE whenever the user changes the line
+    of false and is changed to true whenever the user changes the line
     edit's contents.
 
     This is useful for things that need to provide a default value but
     do not start out knowing what the default should be (perhaps it
     depends on other fields on the form). Start the line edit without
     the best default, and when the default is known, if modified()
-    returns FALSE (the user hasn't entered any text), insert the
+    returns false (the user hasn't entered any text), insert the
     default value.
 
     Calling clearModified() or setText() resets the modified flag to
-    FALSE.
+    false.
 */
 
 bool SecTQLineEdit::isModified() const
@@ -798,13 +798,13 @@ bool SecTQLineEdit::isModified() const
 }
 
 /*!
-    Resets the modified flag to FALSE.
+    Resets the modified flag to false.
 
     \sa isModified()
 */
 void SecTQLineEdit::clearModified()
 {
-    d->modified = FALSE;
+    d->modified = false;
     d->history.clear();
     d->undoState = 0;
 }
@@ -827,8 +827,8 @@ void SecTQLineEdit::setEdited( bool on ) { d->modified
     \property SecTQLineEdit::hasSelectedText
     \brief whether there is any text selected
 
-    hasSelectedText() returns TRUE if some or all of the text has been
-    selected by the user; otherwise returns FALSE.
+    hasSelectedText() returns true if some or all of the text has been
+    selected by the user; otherwise returns false.
 
     \sa selectedText()
 */
@@ -926,7 +926,7 @@ void SecTQLineEdit::selectAll()
 void SecTQLineEdit::selectAll()
 {
     d->selstart = d->selend = d->cursor = 0;
-    d->moveCursor( d->text.length(), TRUE );
+    d->moveCursor( d->text.length(), true );
 }
 
 /*!
@@ -980,7 +980,7 @@ void SecTQLineEdit::undo()
 #ifndef SECURE_NO_UNDO
     resetInputContext();
     d->undo();
-    d->finishChange( -1, FALSE );
+    d->finishChange( -1, false );
 #endif
 }
 
@@ -1018,14 +1018,14 @@ void SecTQLineEdit::setReadOnly( bool enable )
 void SecTQLineEdit::setReadOnly( bool enable )
 {
     d->readOnly = enable;
-#ifndef QT_NO_CURSOR
+#ifndef TQT_NO_CURSOR
     setCursor( enable ? arrowCursor : ibeamCursor );
 #endif
     update();
 }
 
 
-#ifndef QT_NO_CLIPBOARD
+#ifndef TQT_NO_CLIPBOARD
 /*!
     Copies the selected text to the clipboard and deletes it, if there
     is any, and if echoMode() is \c Normal.
@@ -1073,15 +1073,15 @@ void SecTQLineEditPrivate::copy( bool clipboard ) cons
 #ifndef SECURE
     TQString t = q->selectedText();
     if ( !t.isEmpty() && echoMode == SecTQLineEdit::Normal ) {
-	q->disconnect( TQApplication::clipboard(), SIGNAL(selectionChanged()), q, 0);
+	q->disconnect( TQApplication::clipboard(), TQ_SIGNAL(selectionChanged()), q, 0);
 	TQApplication::clipboard()->setText( t, clipboard ? TQClipboard::Clipboard : TQClipboard::Selection );
-	q->connect( TQApplication::clipboard(), SIGNAL(selectionChanged()),
-		 q, SLOT(clipboardChanged()) );
+	q->connect( TQApplication::clipboard(), TQ_SIGNAL(selectionChanged()),
+		 q, TQ_SLOT(clipboardChanged()) );
     }
 #endif
 }
 
-#endif // !QT_NO_CLIPBOARD
+#endif // !TQT_NO_CLIPBOARD
 
 /*!\reimp
 */
@@ -1177,7 +1177,7 @@ void SecTQLineEdit::mouseMoveEvent( TQMouseEvent * e )
 void SecTQLineEdit::mouseMoveEvent( TQMouseEvent * e )
 {
 
-#ifndef QT_NO_CURSOR
+#ifndef TQT_NO_CURSOR
     if ( ( e->state() & MouseButtonMask ) == 0 ) {
 	if ( !d->readOnly )
 	  setCursor( ( d->inSelection( e->pos().x() ) ? arrowCursor : ibeamCursor ) );
@@ -1185,7 +1185,7 @@ void SecTQLineEdit::mouseMoveEvent( TQMouseEvent * e )
 #endif
 
     if ( e->state() & LeftButton ) {
-      d->moveCursor( d->xToPos( e->pos().x() ), TRUE );
+      d->moveCursor( d->xToPos( e->pos().x() ), true );
     }
 }
 
@@ -1193,10 +1193,10 @@ void SecTQLineEdit::mouseReleaseEvent( TQMouseEvent* e
 */
 void SecTQLineEdit::mouseReleaseEvent( TQMouseEvent* e )
 {
-#ifndef QT_NO_CLIPBOARD
+#ifndef TQT_NO_CLIPBOARD
     if (TQApplication::clipboard()->supportsSelection() ) {
 	if ( e->button() == LeftButton ) {
-	    d->copy( FALSE );
+	    d->copy( false );
 	} else if ( !d->readOnly && e->button() == MidButton ) {
 	    d->deselect();
 	    insert( TQApplication::clipboard()->text( TQClipboard::Selection ) );
@@ -1217,7 +1217,7 @@ void SecTQLineEdit::mouseDoubleClickEvent( TQMouseEven
 	int end = d->textLayout.nextCursorPosition( d->cursor, TQTextLayout::SkipWords );
 	while ( end > d->cursor && d->text[end-1].isSpace() )
 	    --end;
-	d->moveCursor( end, TRUE );
+	d->moveCursor( end, true );
 	d->tripleClickTimer = startTimer( TQApplication::doubleClickInterval() );
 	d->tripleClick = e->pos();
     }
@@ -1241,7 +1241,7 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 
 void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 {
-    d->setCursorVisible( TRUE );
+    d->setCursorVisible( true );
     if ( e->key() == Key_Enter || e->key() == Key_Return ) {
 	emit returnPressed();
 	e->ignore();
@@ -1273,7 +1273,7 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 	    return;
 	}
     }
-    bool unknown = FALSE;
+    bool unknown = false;
     if ( e->state() & ControlButton ) {
 	switch ( e->key() ) {
 	case Key_A:
@@ -1286,7 +1286,7 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 	case Key_B:
 	    cursorForward( e->state() & ShiftButton, -1 );
 	    break;
-#ifndef QT_NO_CLIPBOARD
+#ifndef TQT_NO_CLIPBOARD
 	case Key_C:
 	    copy();
 	    break;
@@ -1322,7 +1322,7 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 		clear();
 	    break;
 #endif
-#ifndef QT_NO_CLIPBOARD
+#ifndef TQT_NO_CLIPBOARD
 	case Key_V:
 	    if ( !d->readOnly )
 		paste();
@@ -1341,13 +1341,13 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 #endif
 	case Key_Delete:
 	    if ( !d->readOnly ) {
-		cursorWordForward( TRUE );
+		cursorWordForward( true );
 		del();
 	    }
 	    break;
 	case Key_Backspace:
 	    if ( !d->readOnly ) {
-		cursorWordBackward( TRUE );
+		cursorWordBackward( true );
 		del();
 	    }
 	    break;
@@ -1378,7 +1378,7 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 		redo();
 	    break;
 	default:
-	    unknown = TRUE;
+	    unknown = true;
 	}
     } else { // ### check for *no* modifier
 	switch ( e->key() ) {
@@ -1424,14 +1424,14 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 	    if ( !d->readOnly && e->state() & ShiftButton )
 		paste();
 	    else
-		unknown = TRUE;
+		unknown = true;
 	    break;
 #endif
 	case Key_F14: // Undo key on Sun keyboards
 	    if ( !d->readOnly )
 		undo();
 	    break;
-#ifndef QT_NO_CLIPBOARD
+#ifndef TQT_NO_CLIPBOARD
 	case Key_F16: // Copy key on Sun keyboards
 	    copy();
 	    break;
@@ -1447,7 +1447,7 @@ void SecTQLineEdit::keyPressEvent( TQKeyEvent * e )
 	    break;
 #endif
 	default:
-	    unknown = TRUE;
+	    unknown = true;
 	}
     }
     if ( e->key() == Key_Direction_L )
@@ -1498,7 +1498,7 @@ void SecTQLineEdit::imEndEvent( TQIMEvent *e )
     } else {
 	d->text.remove( d->imstart, d->imend - d->imstart );
 	d->cursor = d->imselstart = d->imselend = d->imend = d->imstart;
-	d->textDirty = TRUE;
+	d->textDirty = true;
 	insert( e->text() );
     }
 }
@@ -1527,7 +1527,7 @@ void SecTQLineEdit::focusOutEvent( TQFocusEvent* e )
     if ( e->reason() != TQFocusEvent::ActiveWindow &&
 	 e->reason() != TQFocusEvent::Popup )
 	deselect();
-    d->setCursorVisible( FALSE );
+    d->setCursorVisible( false );
     if ( d->cursorTimer > 0 )
 	killTimer( d->cursorTimer );
     d->cursorTimer = 0;
@@ -1720,19 +1720,19 @@ void SecTQLineEditPrivate::init( const SecTQString& tx
 
 void SecTQLineEditPrivate::init( const SecTQString& txt )
 {
-#ifndef QT_NO_CURSOR
+#ifndef TQT_NO_CURSOR
     q->setCursor( readOnly ? arrowCursor : ibeamCursor );
 #endif
     q->setFocusPolicy( TQWidget::StrongFocus );
-    q->setInputMethodEnabled( TRUE );
+    q->setInputMethodEnabled( true );
     //   Specifies that this widget can use more, but is able to survive on
     //   less, horizontal space; and is fixed vertically.
     q->setSizePolicy( TQSizePolicy( TQSizePolicy::Expanding, TQSizePolicy::Fixed ) );
     q->setBackgroundMode( PaletteBase );
-    q->setKeyCompression( TRUE );
-    q->setMouseTracking( TRUE );
-    q->setAcceptDrops( TRUE );
-    q->setFrame( TRUE );
+    q->setKeyCompression( true );
+    q->setMouseTracking( true );
+    q->setAcceptDrops( true );
+    q->setFrame( true );
     text = txt;
     updateTextLayout();
     cursor = text.length();
@@ -1818,14 +1818,14 @@ void SecTQLineEditPrivate::moveCursor( int pos, bool m
 	cursor = pos;
 	q->update();
     } else {
-	setCursorVisible( FALSE );
+	setCursorVisible( false );
 	cursor = pos;
-	setCursorVisible( TRUE );
+	setCursorVisible( true );
     }
     updateMicroFocusHint();
     if ( mark ) {
 	if( !q->style().styleHint( TQStyle::SH_BlinkCursorWhenTextSelected ))
-	    setCursorVisible( FALSE );
+	    setCursorVisible( false );
 	emit q->selectionChanged();
     }
 }
@@ -1839,15 +1839,15 @@ void SecTQLineEditPrivate::finishChange( int validateF
 	    undo( validateFromState );
 #endif /* SECURE_NO_UNDO */
 	    history.resize( undoState );
-	    textDirty = setModified = FALSE;
+	    textDirty = setModified = false;
 	}
 	updateTextLayout();
 	updateMicroFocusHint();
 	lineDirty |= textDirty;
 	if ( setModified )
-	    modified = TRUE;
+	    modified = true;
 	if ( textDirty ) {
-	    textDirty = FALSE;
+	    textDirty = false;
 	    emit q->textChanged( text );
 	}
         emit q->textModified( text );
@@ -1856,7 +1856,7 @@ void SecTQLineEditPrivate::finishChange( int validateF
 #endif
     }
     if ( selDirty ) {
-	selDirty = FALSE;
+	selDirty = false;
 	emit q->selectionChanged();
     }
     if ( lineDirty || !setModified )
@@ -1898,7 +1898,7 @@ void SecTQLineEditPrivate::addCommand( const Command& 
     } else {
 	history.resize( undoState + 1);
     }
-    separator = FALSE;
+    separator = false;
     history[ undoState++ ] = cmd;
 }
 #endif /* SECURE_NO_UNDO */
@@ -1914,7 +1914,7 @@ void SecTQLineEditPrivate::insert( const SecTQString& 
 #endif /* SECURE_NO_UNDO */
       cursor++;
     }
-  textDirty = TRUE;
+  textDirty = true;
 }
 
 void SecTQLineEditPrivate::del( bool wasBackspace )
@@ -1924,7 +1924,7 @@ void SecTQLineEditPrivate::del( bool wasBackspace )
 	addCommand ( Command( (CommandType)(wasBackspace?Remove:Delete), cursor, text.at(cursor) ) );
 #endif /* SECURE_NO_UNDO */
 	text.remove( cursor, 1 );
-	textDirty = TRUE;
+	textDirty = true;
     }
 }
 
@@ -1950,7 +1950,7 @@ void SecTQLineEditPrivate::removeSelectedText()
 	if ( cursor > selstart )
 	    cursor -= TQMIN( cursor, selend ) - selstart;
 	deselect();
-	textDirty = TRUE;
+	textDirty = true;
     }
 }
 
